Get checkpoint metadata
GET
/v1/checkpoints/{checkpoint_id}
const url = 'http://127.0.0.1:8080/v1/checkpoints/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8080/v1/checkpoints/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” checkpoint_id
required
Checkpoint UUID or display name.
string
Checkpoint UUID or display name.
Responses
Section titled “ Responses ”Response envelope.
Media type application/json
Response envelope.
object
data
required
Checkpoint response object.
object
display_name
required
User-chosen display name.
string
id
required
Stable checkpoint UUID.
string
resources
required
Checkpoint resource state.
object
limits
required
Resource limits.
object
memory_mib
required
Maximum memory in MiB.
integer format: uint64
requests
required
Resource requests.
object
memory_mib
required
Requested baseline memory in MiB.
integer format: uint64
vcpus
required
Requested virtual CPUs.
integer format: uint32
state
required
Checkpoint lifecycle state.
string
Example
{ "data": { "state": "creating" }}Missing, malformed, or rejected bearer token
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Validation or application error
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}default
Section titled “default ”Error response
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}